com.orsoncharts.renderer

## Enum ComposeType

- java.lang.Object
- - java.lang.Enum<ComposeType>
  - - com.orsoncharts.renderer.ComposeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ComposeType>

      public enum ComposeType
      extends java.lang.Enum<ComposeType>

  An enumeration of the different methods used by renderers for composing the items in a chart. Most renderers work on a per-item basis, where the plot iterates over the items in a dataset then asks the renderer to compose one item at a time. An alternative approach is where the renderer does the entire composition in one pass (the `SurfaceRenderer` does this, since it plots a function rather than a dataset (performing sampling of the function on-the-fly).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `PER_ITEM`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComposeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ComposeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PER_ITEM

          public static final ComposeType PER_ITEM

    - #### ALL

          public static final ComposeType ALL

  - ### Method Detail

    - #### values

          public static ComposeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ComposeType c : ComposeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ComposeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null